//
//  shopItem.m
//  Garden Pests
//
//  Copyright (c) 2003 Andrew Sage. All rights reserved.
//
//  This code is released under the uDevGames license.
//

#import "shopItem.h"


@implementation ShopItem

- (id) init
{
    self = [super init];

    [self setBought:NO];

    return self;
}

- (void) dealloc
{
    [super dealloc];
}

- (void)configure:(NSString*)sNewTitle:(int)newCost:(int)newID
{
    sTitle = sNewTitle;
    cost = newCost;
    itemID = newID;
}

- (NSString*)getTitle
{
    return sTitle;
}

- (int)getCost
{
    return cost;
}

- (void)setBought:(bool)buy
{
    bought = buy;
}

- (bool)isBought
{
    return bought;
}

- (int)getID
{
    return itemID;
}

- (void)setDescription:(NSString*)newDescription
{
    sDescription = newDescription;
}

- (NSString*)getDescription
{
    return sDescription;
}

- (void) setImage:(NSImage *)newImage
{
    image = newImage;
}

- (NSImage*) getImage
{
    return image;
}

@end
