//
//  Robot.h
//  Garden Pests
//
//  Copyright (c) 2003 Andrew Sage. All rights reserved.
//
//  This code is released under the uDevGames license.
//

#import <Foundation/Foundation.h>
#import "Tile.h"

@interface Robot : Tile {
    NSString* sTitle;		// robot's title
    int		speed;		// robot's speed
    int		ammoCapacity;	// max amount of ammo robot can carry
    int		carryCapacity;	// max amount of fruit that can be carried
    NSString* sDescription;	// robot's description
    int		cost;		// cost of the robot
}

- (void)setTitle:(NSString*)newTitle;
- (NSString*)getTitle;

- (void)setSpeed:(int)newSpeed;
- (int)getSpeed;

- (void)setAmmoCapacity:(int)newCapacity;
- (int)getAmmoCapacity;

- (void)setCarryCapacity:(int)newCapacity;
- (int)getCarryCapacity;

- (void)setDescription:(NSString*)newDescription;
- (NSString*)getDescription;

- (void)setCost:(int)newCost;
- (int)getCost;
@end
